--- networkmanagement-0.9/vpnplugins/openconnect/openconnectauth.cpp~	2011-06-25 22:47:16.000000000 +0100
+++ networkmanagement-0.9/vpnplugins/openconnect/openconnectauth.cpp	2011-06-25 23:43:06.000000000 +0100
@@ -380,7 +380,7 @@ void OpenconnectAuthWidget::processAuthF
             widget = qobject_cast<QWidget*>(cmb);
         }
         if (widget) {
-            widget->setProperty("openconnect_opt", (int)opt);
+            widget->setProperty("openconnect_opt", (unsigned long long)opt);
             layout->addRow(text, widget);
         }
     }
@@ -389,8 +389,8 @@ void OpenconnectAuthWidget::processAuthF
     box->addButton(QDialogButtonBox::Ok)->setText(QLatin1String("Login"));
     box->addButton(QDialogButtonBox::Cancel);
     d->ui.loginBoxLayout->addWidget(box);
-    box->setProperty("loginClickedPtr", (int)loginClicked);
-    box->setProperty("openconnect_form", (int)form);
+    box->setProperty("loginClickedPtr", (unsigned long long)loginClicked);
+    box->setProperty("openconnect_form", (unsigned long long)form);
 
     connect(box, SIGNAL(accepted()), this, SLOT(formLoginClicked()));
     connect(box, SIGNAL(rejected()), this, SLOT(formCancelClicked()));
@@ -468,14 +468,14 @@ void OpenconnectAuthWidget::formLoginCli
 {
     Q_D(OpenconnectAuthWidget);
     QLayout *layout = d->ui.loginBoxLayout->itemAt(0)->layout();
-    bool *loginClicked = (bool*) d->ui.loginBoxLayout->itemAt(1)->widget()->property("loginClickedPtr").toInt();
-    struct oc_auth_form *form = (struct oc_auth_form *) d->ui.loginBoxLayout->itemAt(1)->widget()->property("o").toInt();
+    bool *loginClicked = (bool*) d->ui.loginBoxLayout->itemAt(1)->widget()->property("loginClickedPtr").toLongLong();
+    struct oc_auth_form *form = (struct oc_auth_form *) d->ui.loginBoxLayout->itemAt(1)->widget()->property("o").toLongLong();
 
     for (int i = 0; i < layout->count(); i++) {
         QLayoutItem *item = layout->itemAt(i);
         QWidget *widget = item->widget();
         if (widget && widget->property("openconnect_opt").isValid()) {
-            struct oc_form_opt *opt = (struct oc_form_opt *) widget->property("openconnect_opt").toInt();
+            struct oc_form_opt *opt = (struct oc_form_opt *) widget->property("openconnect_opt").toLongLong();
             if (opt->type == OC_FORM_OPT_PASSWORD || opt->type == OC_FORM_OPT_TEXT) {
                 KLineEdit *le = qobject_cast<KLineEdit*>(widget);
                 QByteArray text = le->text().toAscii();
@@ -503,7 +503,7 @@ void OpenconnectAuthWidget::formLoginCli
 void OpenconnectAuthWidget::formCancelClicked()
 {
     Q_D(OpenconnectAuthWidget);
-    bool *loginClicked = (bool*) d->ui.loginBoxLayout->itemAt(1)->widget()->property("loginClickedPtr").toInt();
+    bool *loginClicked = (bool*) d->ui.loginBoxLayout->itemAt(1)->widget()->property("loginClickedPtr").toLongLong();
     *loginClicked = false;
     deleteAllFromLayout(d->ui.loginBoxLayout);
     d->workerWaiting.wakeAll();
--- networkmanagement-0.9/vpnplugins/openconnect/CMakeLists.txt~	2011-06-25 23:44:46.000000000 +0100
+++ networkmanagement-0.9/vpnplugins/openconnect/CMakeLists.txt	2011-06-25 23:49:04.000000000 +0100
@@ -7,7 +7,6 @@ macro_log_feature(OPENCONNECT_FOUND "Ope
 macro_log_feature(OPENSSL_FOUND "OpenSSL headers" "Encryption suite" "http://www.openssl.org" FALSE "" "Needed for OpenConnect support in Network Management")
 
 if (OPENCONNECT_FOUND AND OPENSSL_FOUND)
-    unset(CMAKE_INCLUDE_CURRENT_DIR)
     include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../libs/ui)
     include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../libs)
     include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../libs/internals)
--- networkmanagement-0.9/vpnplugins/openconnect/openconnectauthworkerthread.cpp	2011-06-26 00:13:03.000000000 +0100
+++ networkmanagement-0.9/vpnplugins/openconnect/openconnectauthworkerthread.cpp~	2011-06-26 00:10:46.000000000 +0100
@@ -9,7 +9,7 @@
 
 extern "C"
 {
-#include <openconnect.h>
+#include "/usr/include/openconnect.h"
 #include <openssl/ssl.h>
 #include <openssl/bio.h>
 #include <openssl/ossl_typ.h>
--- networkmanagement-0.9/vpnplugins/openconnect/openconnectauth.cpp	2011-06-26 00:12:50.000000000 +0100
+++ networkmanagement-0.9/vpnplugins/openconnect/openconnectauth.cpp~	2011-06-26 00:10:31.000000000 +0100
@@ -46,7 +46,7 @@ extern "C"
 {
 #include <string.h>
 #include <openssl/ssl.h>
-#include <openconnect.h>
+#include "/usr/include/openconnect.h"
 }
 
 typedef struct {
